Reply To Conversation
curl --request POST \
--url https://api.example.com/api/v1/conversations/{conversation_id}/reply \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"caption": "<string>",
"message_type": "text",
"media_url": "<string>",
"media_base64": "<string>",
"media_type": "<string>",
"filename": "<string>",
"mimetype": "<string>",
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_whatsapp_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/conversations/{conversation_id}/reply"
payload = {
"content": "<string>",
"caption": "<string>",
"message_type": "text",
"media_url": "<string>",
"media_base64": "<string>",
"media_type": "<string>",
"filename": "<string>",
"mimetype": "<string>",
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_whatsapp_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
caption: '<string>',
message_type: 'text',
media_url: '<string>',
media_base64: '<string>',
media_type: '<string>',
filename: '<string>',
mimetype: '<string>',
whatsapp_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to_whatsapp_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/conversations/{conversation_id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"message_type": "text"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}conversations
Reply To Conversation
Send an outbound reply (text or media) on the conversation thread.
POST
/
api
/
v1
/
conversations
/
{conversation_id}
/
reply
Reply To Conversation
curl --request POST \
--url https://api.example.com/api/v1/conversations/{conversation_id}/reply \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"caption": "<string>",
"message_type": "text",
"media_url": "<string>",
"media_base64": "<string>",
"media_type": "<string>",
"filename": "<string>",
"mimetype": "<string>",
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_whatsapp_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/conversations/{conversation_id}/reply"
payload = {
"content": "<string>",
"caption": "<string>",
"message_type": "text",
"media_url": "<string>",
"media_base64": "<string>",
"media_type": "<string>",
"filename": "<string>",
"mimetype": "<string>",
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_whatsapp_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
caption: '<string>',
message_type: 'text',
media_url: '<string>',
media_base64: '<string>',
media_type: '<string>',
filename: '<string>',
mimetype: '<string>',
whatsapp_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to_whatsapp_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/conversations/{conversation_id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"message_type": "text"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Body
application/json
Reply on a conversation thread (text and/or media).
Text body or caption. Optional when media is provided.
Maximum string length:
4096Optional caption for media messages.
Maximum string length:
1024text, image, video, voice, document, or sticker
Public URL for media. Ignored when media_base64 is set.
Maximum string length:
2048Raw base64 or data URI for inline media upload.
Optional media category hint (image, video, audio, document).
Maximum string length:
50Maximum string length:
255Maximum string length:
127Maximum string length:
255